# ReflectionProperty::setAccessible

(PHP 5 >= 5.3.0, PHP 7)

ReflectionProperty::setAccessible — Set property accessibility

### Description

public ReflectionProperty::setAccessible ( bool `$accessible` ) : void

Sets a property to be accessible. For example, it may allow protected and private properties to be accessed.

### Parameters

`accessible`

  `TRUE` to allow accessibility, or `FALSE`.

### Return Values

No value is returned.

### See Also

- ReflectionProperty::isPrivate() - Checks if property is private
- ReflectionProperty::isProtected() - Checks if property is protected